# ccchatbot


[![pipeline status](https://dev.sum7.eu/ccchb/ccchatbot/badges/master/pipeline.svg)](https://dev.sum7.eu/ccchb/ccchatbot/pipelines)
[![coverage report](https://dev.sum7.eu/ccchb/ccchatbot/badges/master/coverage.svg)](https://dev.sum7.eu/ccchb/ccchatbot/pipelines)
[![Go Report Card](https://goreportcard.com/badge/dev.sum7.eu/ccchb/ccchatbot)](https://goreportcard.com/report/dev.sum7.eu/ccchb/ccchatbot)
[![GoDoc](https://godoc.org/dev.sum7.eu/ccchb/ccchatbot?status.svg)](https://godoc.org/dev.sum7.eu/ccchb/ccchatbot)


## Get ccchatbot

#### Download

Latest Build binary from ci here:

[Download All](https://dev.sum7.eu/ccchb/ccchatbot/-/jobs/artifacts/master/download/?job=build-my-project) (with config example)

[Download Binary](https://dev.sum7.eu/ccchb/ccchatbot/-/jobs/artifacts/master/raw/bin/ccchatbot?inline=false&job=build-my-project)

#### Build

```bash
go get -u dev.sum7.eu/ccchb/ccchatbot
```

## Configure

see `config_example.toml`

## Start / Boot

_/lib/systemd/system/ccchatbot.service_ :
```
[Unit]
Description=ccchatbot
After=network.target
# After=ejabberd.service
# After=prosody.service

[Service]
Type=simple
# User=notRoot
ExecStart=/opt/go/bin/ccchatbot --config /etc/ccchatbot.conf
Restart=always
RestartSec=5sec

[Install]
WantedBy=multi-user.target
```

Start: `systemctl start ccchatbot`
Autostart: `systemctl enable ccchatbot`
